เวอร์ชันของ API กราฟ

Oembed Video

On April 8, 2025, we introduced a new oEmbed feature, Meta oEmbed Read to replace the existing oEmbed Read feature. The current oEmbed Read feature will be deprecated on November 3, 2025.

  • Apps created after April 8, 2025 that implement oEmbed will use the new Meta oEmbed Read feature.
  • Existing apps that already use the current oEmbed Read feature will be automatically updated to the new Meta oEmbed Read feature by November 3, 2025.

The following fields are no longer returned and will be fully deprecated on November 3, 2025:

  • author_name
  • author_url
  • thumbnail_height
  • thumbnail_url
  • thumbnail_width

Read the oEmbed Updates blog post from Meta to learn more.

การอ่าน

OembedVideo

ตัวอย่าง

Graph API Explorer
GET /v25.0/oembed_video HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/oembed_video',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/oembed_video",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/oembed_video",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/oembed_video"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
หากคุณต้องการเรียนรู้วิธีใช้ API กราฟ โปรดอ่านคู่มือการใช้ API กราฟของเรา

พารามิเตอร์

พารามิเตอร์คำอธิบาย
maxwidth
int64

maxwidth

omitscript
boolean
ค่าเริ่มต้น: false

omitscript

sdklocale
string

sdklocale

url
URI

url

ต้องระบุ
useiframe
boolean
ค่าเริ่มต้น: false

useiframe

ช่อง

ช่องคำอธิบาย
height
int32

height

html
string

html

provider_name
string

provider_name

provider_url
string

provider_url

type
string

type

version
string

version

width
int32

width

Error Codes

ข้อผิดพลาดคำอธิบาย
200Permissions error
100Invalid parameter
190Invalid OAuth 2.0 Access Token

การสร้าง

คุณไม่สามารถดำเนินการนี้ที่ปลายทางนี้

กำลังอัพเดต

คุณไม่สามารถดำเนินการนี้ที่ปลายทางนี้

กำลังลบ

คุณไม่สามารถดำเนินการนี้ที่ปลายทางนี้